org.cpsolver.exam.criteria

## Class RoomSplitPenalty.RoomSplitContext

- java.lang.Object
- - org.cpsolver.ifs.criteria.AbstractCriterion.ValueContext
  - - org.cpsolver.exam.criteria.RoomSplitPenalty.RoomSplitContext

- All Implemented Interfaces:
    AssignmentContext
  Enclosing class:
    RoomSplitPenalty

      protected class RoomSplitPenalty.RoomSplitContext
      extends AbstractCriterion.ValueContext

- - ### Field Summary

    - ### Fields inherited from class org.cpsolver.ifs.criteria.AbstractCriterion.ValueContext

      `iTotal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoomSplitContext(Assignment<Exam,ExamPlacement> assignment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assigned(Assignment<Exam,ExamPlacement> assignment, ExamPlacement value)` Update value when assigned
    `protected void` | `ensureCapacity(int minCapacity)`
    `int[]` | `getRoomSplits()`
    `void` | `unassigned(Assignment<Exam,ExamPlacement> assignment, ExamPlacement value)` Update value when unassigned

    - ### Methods inherited from class org.cpsolver.ifs.criteria.AbstractCriterion.ValueContext

      `getBounds, getTotal, inc, setBounds, setTotal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoomSplitContext

          public RoomSplitContext(Assignment<Exam,ExamPlacement> assignment)

  - ### Method Detail

    - #### ensureCapacity

          protected void ensureCapacity(int minCapacity)

    - #### assigned

          public void assigned(Assignment<Exam,ExamPlacement> assignment,
                               ExamPlacement value)

      Description copied from class: `AbstractCriterion.ValueContext`
      Update value when assigned
      Overrides:
        `assigned` in class `AbstractCriterion.ValueContext`
      Parameters:
        `assignment` - current assignment
        `value` - recently assigned value

    - #### unassigned

          public void unassigned(Assignment<Exam,ExamPlacement> assignment,
                                 ExamPlacement value)

      Description copied from class: `AbstractCriterion.ValueContext`
      Update value when unassigned
      Overrides:
        `unassigned` in class `AbstractCriterion.ValueContext`
      Parameters:
        `assignment` - current assignment
        `value` - recently unassigned value

    - #### getRoomSplits

          public int[] getRoomSplits()